Name:           python-LEPL
Version:        5.1.3
Release:        1%{?dist}
Summary:        Recursive descent, full backtracking parser library
License:        MPL-1.1 OR LGPL-3.0-or-later
Group:          Development/Languages/Python
URL:            http://www.acooke.org/lepl/

Source:         https://files.pythonhosted.org/packages/source/L/LEPL/LEPL-%{version}.tar.gz
Source1:        LICENSE.MPL-1.1
Source2:        LICENSE.LGPL-3.0

BuildArch:      noarch
BuildRequires:  python-setuptools
BuildRequires:  python2-devel


%description
LEPL is a recursive descent parser, written in Python.

Multiple parses can be found for ambiguous grammars and it can also
handle left-recursive grammars.


%prep
%setup -q -n LEPL-%{version}
cp %{SOURCE1} %{SOURCE2} .


%build
%{__python} setup.py build


%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}


%check
# Test suite has never been updated for newer Python versions and
# uses generators in a way that is incompatible with PEP 479.
python setup.py develop --user
python -c 'from lepl._test import all; all()'


%files
%license LICENSE.MPL-1.1 LICENSE.LGPL-3.0
%{python_sitelib}/LEPL-%{version}-*.egg-info
%{python_sitelib}/lepl


%changelog
* Thu Jun  2 2022 Ernani Azevedo <azevedo@voipdomain.io> - 5.1.3-1
- First spec version
